=== debian/changelog ===
kquickimageeditor (0.2.0-4) unstable; urgency=medium

  * Team upload.
  * Install the qmake development stuff in kquickimageeditor-dev, rather than
    qml-module-org-kde-kquickimageeditor
    - add proper breaks/replaces
  * Drop the qml-module-qtquick2 dependency in kquickimageeditor-dev, as it is
    a dependency of qml-module-org-kde-kquickimageeditor already.
  * Use dh_installexamples to install the examples in kquickimageeditor-dev,
    rather than dh_install.
  * Remove the unused ${shlibs:Depends} substvar from kquickimageeditor-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Feb 2022 08:11:58 +0100

kquickimageeditor (0.2.0-3) unstable; urgency=medium

  * Set correct Debian maintainer information.

 -- Sandro Knauß <hefee@debian.org>  Tue, 22 Feb 2022 12:23:14 +0100

kquickimageeditor (0.2.0-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Sandro Knauß <hefee@debian.org>  Mon, 21 Feb 2022 17:28:59 +0100

kquickimageeditor (0.2.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * First upload to Debian (Closes: #989528)

  [ Sandro Knauß ]
  * Finish last bits to finally upload.

 -- Sandro Knauß <hefee@debian.org>  Sat, 19 Feb 2022 15:27:58 +0100
