=== debian/control ===
Source: kquickimageeditor
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/libraries/kquickimageeditor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor.git
Rules-Requires-Root: no

Package: kquickimageeditor-dev
Architecture: any
Depends: qml-module-org-kde-kquickimageeditor (= ${binary:Version}),
         qtbase5-dev,
         qtdeclarative5-dev,
         ${misc:Depends},
Breaks: qml-module-org-kde-kquickimageeditor (<< 0.2.0-4~),
Replaces: qml-module-org-kde-kquickimageeditor (<< 0.2.0-4~),
Description: Image editing components - devel files
 A QtQuick plugin providing Image editing components.
 .
 This package contains the development files.

Package: qml-module-org-kde-kquickimageeditor
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Image editing components
 A QtQuick plugin providing  Image editing components.
 .
 This package contain the runtime qml module.
