=== debian/changelog ===
kquickimageeditor (0.3.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:08:41 +0000

kquickimageeditor (0.3.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:16:25 +0000

kquickimageeditor (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.2, no changes needed.
  * Update the upstream GPG signing key.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.91
    - bump Qt 5 packages to 5.15.0
  * Small copyright changes.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Nov 2023 07:16:54 +0100
