=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: kquickimageeditor
 Section: libs
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules,
+               extra-cmake-modules (>= 5.91.0~),
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev,
-               qtdeclarative5-dev
-Standards-Version: 4.6.0
+               qtbase5-dev (>= 5.15.0~),
+               qtdeclarative5-dev (>= 5.15.0~),
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/libraries/kquickimageeditor
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor.git
