## kquickimageeditor 0.4.0

=== debian/changelog ===
kquickimageeditor (0.4.0-1) experimental; urgency=medium

  [ Vincent Pinon ]
  * New upstream release (0.4.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Move build to Qt6
    - Rename qml- package to qml6-.

  [ Sandro Knauß ]
  * Use dh-sequence instead of --with.
  * Mark packages as Multi-Arch: same.
  * Use pkgkde-getqmldepends.
  * d/copyright: Add Upstream-Name and Source.

 -- Sandro Knauß <hefee@debian.org>  Thu, 03 Oct 2024 00:16:33 +0200
