=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_before_dh_gencontrol:
	pkgkde-getqmldepends -p qml6-module-org-kde-kquickimageeditor --qt 6 -- -qmlFiles debian/qml6-module-org-kde-kquickimageeditor/usr/lib/*/qt6/qml/org/kde/kquickimageeditor/*.qml
