## kquickimageeditor 0.5.0

=== debian/changelog ===
kquickimageeditor (0.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (0.5.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 15:27:03 +0100

kquickimageeditor (0.4.0-3) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Add/update Carl Schwan’s key in upstream keyring.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 Dec 2024 10:28:01 +0100

kquickimageeditor (0.4.0-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.
  * Update list of needed QML modules.
  * Examples shipped in dev package depends on QML modules add those as
    suggests.

 -- Sandro Knauß <hefee@debian.org>  Mon, 25 Nov 2024 17:40:48 +0100
