=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: libs
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sandro Knauß <hefee@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
+               dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.0.0~),
                pkg-kde-tools (>= 0.15.18~),
                qml6-module-org-kde-kirigami,
-               qml6-module-qtquick,
-               qml6-module-qtquick-effects,
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.6.0~),
+               qt6-declarative-private-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/libraries/kquickimageeditor
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor
@@ -26,6 +27,7 @@
          qt6-base-dev (>= 6.6.0~),
          qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},
+Suggests: ${qml6:Depends},
 Description: Image editing components - devel files
  A QtQuick plugin providing Image editing components.
  .
@@ -34,9 +36,7 @@
 Package: qml6-module-org-kde-kquickimageeditor
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Image editing components
  A QtQuick plugin providing  Image editing components.
  .
