## kquickimageeditor 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,17 +2,17 @@
 #
 # SPDX-License-Identifier: BSD-2-Clause
 
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16)
 
-set(KF5_VERSION "5.79.0")
-set(REQUIRED_QT_VERSION 5.15.0)
+set(REQUIRED_KF_VERSION 6.0.0)
+set(REQUIRED_QT_VERSION 6.6.0)
+set(KDE_COMPILERSETTINGS_LEVEL 5.84.0)
 
-project(KQuickImageEditor LANGUAGES CXX VERSION 0.2.0)
+project(KQuickImageEditor LANGUAGES CXX VERSION 0.5.1)
 
-find_package(ECM ${KF5_VERSION} NO_MODULE)
+find_package(ECM ${REQUIRED_KF_VERSION} NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
-include(GNUInstallDirs)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings)
@@ -23,6 +23,7 @@
 include(ECMGenerateQmlTypes)
 include(CMakePackageConfigHelpers)
 include(KDEPackageAppTemplates)
+include(ECMQmlModule)
 
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KQuickImageEditor")
 
@@ -30,7 +31,7 @@
     "${CMAKE_CURRENT_SOURCE_DIR}/KQuickImageEditorConfig.cmake.in"
     "${CMAKE_CURRENT_BINARY_DIR}/KQuickImageEditorConfig.cmake"
     INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
-    PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
+    PATH_VARS CMAKE_INSTALL_PREFIX
 )
 
 install(FILES
@@ -48,11 +49,11 @@
 )
 
 
-find_package(Qt5 ${REQUIRED_QT_VERSION} COMPONENTS Core Quick REQUIRED)
+find_package(Qt6 ${REQUIRED_QT_VERSION} COMPONENTS Core Quick REQUIRED)
 
 add_subdirectory(src)
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
