=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.6.0~),
                qt6-declarative-private-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/libraries/kquickimageeditor
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor.git
