=== debian/changelog ===
kquickimageeditor (0.5.1+p24.04+vstable+git20250903.2211-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:11:32 +0000

kquickimageeditor (0.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 02 Mar 2025 10:46:10 +0000

kquickimageeditor (0.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 17 Jan 2025 10:46:10 +0000

kquickimageeditor (0.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 10:46:10 +0000

kquickimageeditor (0.3.0-1neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 03 Nov 2023 10:46:06 +0000
