=== debian/control ===
Source: kquickimageeditor
Section: libs
Priority: optional
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/libraries/kquickimageeditor
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/extras/kquickimageeditor.git
Vcs-Browser: https://invent.kde.org/neon/extras/kquickimageeditor
Maintainer: Neon CI <neon@kde.org>

Package: kquickimageeditor-dev
Architecture: any
Depends: qml6-module-org-kde-kquickimageeditor (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Image editing components - devel files
 A QtQuick plugin providing Image editing components.
 .
 This package contains the development files.

Package: qml6-module-org-kde-kquickimageeditor
Architecture: any
Depends: qml6-module-org-kde-kirigami2,
         qml6-module-qtquick,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-kde-kquickimageeditor (<< 0.3.0)
Replaces: qml-module-org-kde-kquickimageeditor (<< 0.3.0)
Description: Image editing components
 A QtQuick plugin providing  Image editing components.
 .
 This package contain the runtime qml module.

Package: qml-module-org-kde-kquickimageeditor
Architecture: all
Depends: qml6-module-org-kde-kquickimageeditor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
