## kquickimageeditor 0.5.1+p24.04+vstable+git20250903.2221

=== debian/changelog ===
kquickimageeditor (0.5.1+p24.04+vstable+git20250903.2221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:21:45 +0000
