=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
                debhelper-compat (= 13),
                kf6-extra-cmake-modules,
                kf6-kconfig-dev,
+               libopencv-dev,
                pkg-kde-tools-neon,
                qt6-base-dev,
                qt6-declarative-dev
