=== debian/changelog ===
kquickimageeditor (0.5.1+p24.04+vstable+git20251123.1116-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 11:16:59 +0000
