## kquickimageeditor 0.5.1+p24.04+vunstable+git20251113.1214

=== debian/changelog ===
kquickimageeditor (0.5.1+p24.04+vunstable+git20251113.1214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 12:14:13 +0000
