## kquickimageeditor 0.5.1+p24.04+vunstable+git20251123.2330

=== debian/changelog ===
kquickimageeditor (0.5.1+p24.04+vunstable+git20251123.2330-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 23:30:50 +0000
