=== debian/changelog ===
kquickimageeditor (0.6.0-2build1) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Feb 2026 15:33:43 +0000

kquickimageeditor (0.6.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 0.6.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 16 Jan 2026 18:46:36 +0100

kquickimageeditor (0.6.0-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * New upstream release (0.6.0).
  * Update build-deps and deps with the info from cmake.
  * Introduce new libkquickimageeditor1 shared library.
  * d/control: drop redundant Rules-Requires-Root.
  * Migrate to debian/watch version 5 syntax.

  [ Aurélien COUDERC ]
  * Bump Standards-Version to 4.7.3, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Jan 2026 22:11:43 +0100
