=== debian/control ===
Source: kquickimageeditor
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.13.0~),
               libkf6config-dev (>= 6.13.0~),
               pkg-kde-tools (>= 0.15.18~),
               qml6-module-org-kde-kirigami,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/libraries/kquickimageeditor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor.git

Package: kquickimageeditor-dev
Architecture: any
Multi-Arch: same
Depends: libkquickimageeditor1 (= ${binary:Version}),
         qml6-module-org-kde-kquickimageeditor (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         qt6-declarative-dev (>= 6.8.0~),
         ${misc:Depends},
Suggests: ${qml6:Depends},
Description: Image editing components - devel files
 A QtQuick plugin providing Image editing components.
 .
 This package contains the development files.

Package: qml6-module-org-kde-kquickimageeditor
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Image editing components
 A QtQuick plugin providing  Image editing components.
 .
 This package contain the runtime qml module.

Package: libkquickimageeditor1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Image editing components -- shared library
 A QtQuick plugin providing Image editing components.
 .
 This package contains its shared library.
