## kquickimageeditor 0.6.0+p24.04+vstable+git20251209.0239

=== debian/changelog ===
kquickimageeditor (0.6.0+p24.04+vstable+git20251209.0239-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 02:39:56 +0000

kquickimageeditor (0.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 12:08:10 +0000
