## kquickimageeditor 0.6.0+p24.04+vunstable+git20251209.0237

=== debian/changelog ===
kquickimageeditor (0.6.0+p24.04+vunstable+git20251209.0237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 02:37:24 +0000
